/*
 *	sortnews.h
 *
 *	Configuration File for sortnews
 */

#include "machine.h"

#define	NEWSRC		".newsrc"
#define	BAKFILE		".bak"
#define	IDOPTIONS	"options"
#define	BUFUNIT		16
#define	WHEADER		2
#define	WFOOTER		2
#define	WBODY		(n_line - WHEADER - WFOOTER)
#define	NAMEFIELD	20

#define	TITLESTR	"  sortnews (.newsrc arrangement tool)  Ver."
#define	COPYRIGHTSTR	" (c)1998-2002 T.Shirai  "

#ifdef	NOVOID
#define	VOID
#define	VOID_T	int
#define	VOID_P	char *
#else
#define	VOID	void
#define	VOID_T	void
#define	VOID_P	void *
#endif

typedef struct _ngtree {
	char *name;
	long offset;
	long max;
	struct _ngtree **sub;
} ngtree;

#define	FL_INTERACT	001
#define	FL_MERGE	002
#define	FL_NOBACK	004

#define	b_size(n, type)	((((n) / BUFUNIT) + 1) * BUFUNIT * sizeof(type))
#define	startng(ng)	((ng -> name) ? 1 : 0)
#define	ngname(ng)	(&((ng) -> name[1]))
#define	ngflag(ng)	(*(((ng) -> name)))
#define	ngcmp(ng1, ng2)	strcmp(ngname(ng1), ngname(ng2))

#define	ER_NOMEM	1
#define	ER_NOREAD	2
#define	ER_NOWRITE	3
